<style type="text/css">
div#thankyou{border: none;background: #E0ECEF;text-align: center;overflow: auto;margin:12px auto;}
div#thankyou div#innner{margin:8px;}
div#thankyou div#innner h2{margin:12px;font-size:18px;text-shadow: -1px -1px 0px #FFF;font-weight: bold;}
div#thankyou div#innner p{margin:2px 4px;font-size:90%;}
div#thankyou div#innner dl{margin:12px auto;padding:0;line-height: 1.4em;width:14em;}
div#thankyou div#innner dl dt{width: 3em;font-weight: bold;color:#666;}
div#thankyou div#innner dl dd{margin-left: 4em; margin-top:-1.4em;font-weight: bold;}
</style>
<?php
/*
 * This file is part of EC-CUBE
 *
 * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 * 2011-03-17 Tao Sasaki (tao@xross-cube.com)
 *
 */

// {{{ requires
if( !defined("CLASS_PATH") ){
    require_once("../../require.php");
}
require_once(CLASS_PATH . "pages/frontparts/bloc/LC_Page_FrontParts_Bloc.php");

// }}}
// {{{ generate page
class LC_Page_FrontParts_Bloc_ThankYou extends LC_Page_FrontParts_Bloc {

    // }}}
    // {{{ functions

    /**
     * Page を初期化する.
     *
     * @return void
     */
    function init() {
        parent::init();
        $this->tpl_login = false;
        $this->tpl_disable_logout = false;
        $this->tpl_error = "";
    }

    /**
     * Page のプロセス.
     *
     * @return void
     */
    function process() {
        if(!file_exists(DATA_PATH.'downloads/donation_summary.csv')){
            $objQuery = new SC_Query;
            $ret = $objQuery->getOne("SELECT php_path FROM dtb_bloc WHERE php_path = 'frontparts/bloc/thank_you.php'");
            if(!$ret){
                $objQuery->query("INSERT INTO dtb_bloc (bloc_name,tpl_path,filename,create_date,update_date,php_path,del_flg)
                 VALUES('東北地方太平洋沖地震ポイント寄付状況','','thank_you',NOW(),NOW(),'frontparts/bloc/thank_you.php',0)");
                 if($fp = fopen(DATA_PATH.'downloads/donation_summary.csv','a+')){
                    fwrite($fp,'0,0,0');
                    fclose($fp);
                 }
            }
        }
        
        //現在の寄付データ取得
        $summary = file_get_contents(DATA_PATH.'downloads/donation_summary.csv');
        $this->summary = explode(",",$summary);
    }

    /**
     * デストラクタ.
     *
     * @return void
     */
    function destroy() {
        parent::destroy();
    }
}

$objPage = new LC_Page_FrontParts_Bloc_ThankYou();
register_shutdown_function(array($objPage, "destroy"));
$objPage->init();
$objPage->process();

?>
<div id="thankyou">
    <div id="innner">
        <h2>現在のポイント寄付状況</h2>
        <p>ご協力ありがとうございます。<br />現在、皆様からお寄せ頂いた東北地方太平洋沖地震へのポイント寄付は以下の通りです。</p>
        <dl>
            <dt>件数：</dt>
            <dd><?php echo number_format($objPage->summary[0]); ?>件</dd>
            <dt>合計：</dt>
            <dd><?php echo number_format($objPage->summary[1]); ?>pt</dd>
        </dl>
    </div>
</div>

